Call a contract deployment method
POST /v2/contract/deployment/{id}/query
POST
/v2/contract/deployment/{id}/query
Call a method on a specific contract deployment.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The deployment ID to query
Request Body required
Section titled “Request Body required ”object
methodName
required
The method name
string
balanceOf paramCollection
required
The parameters for the method
Array<string>
[ "0x123..."] walletId
The wallet ID to sign with
string
wallet-123 isShared
Whether the deployment is shared
boolean
Responses
Section titled “ Responses ”The query result
object
query
required
The query parameters
object
deploymentId
required
The deployment ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 methodName
required
The method name
string
balanceOf paramCollection
required
The parameters for the method
Array<string>
[ "0x1234567890123456789012345678901234567890"] isShared
required
Whether the deployment is shared
boolean
response
required
The response from the contract method
object
{ "balance": "1000000000000000000"}Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error